Distribution.NullModelForwarder (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dist.Distribution.NullModelForwarder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dist
Class Distribution.NullModelForwarder

    java.lang.Object
      org.biojava.utils.ChangeForwarder
          org.biojava.bio.dist.Distribution.NullModelForwarder

All Implemented Interfaces:
  EventListener, ChangeListener

Enclosing interface:
  Distribution

Deprecated. use `new ChangeForwarder.Retyper(this, cs, Annotation.PROPERTY)` instead

    public static class Distribution.NullModelForwarder

extends ChangeForwarder

This listens to the null model distribution events and converts them into NULL_MODEL events.

Since:
  1.1
Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from class org.biojava.utils.ChangeForwarder
`ChangeForwarder.Retyper`

Nested classes/interfaces inherited from interface org.biojava.utils.ChangeListener
`ChangeListener.AlwaysVetoListener, ChangeListener.ChangeEventRecorder, ChangeListener.LoggingListener`

Field Summary

Fields inherited from interface org.biojava.utils.ChangeListener
`ALWAYS_VETO, LOG_TO_OUT`

Constructor Summary
`Distribution.NullModelForwarder(Object source, ChangeSupport cs)` Deprecated. Create a new forwarder.

Method Summary
`protected ChangeEvent` | `generateEvent(ChangeEvent ce)` Deprecated. Return the new event to represent the originating event ce.

Methods inherited from class org.biojava.utils.ChangeForwarder
`changeSupport, getSource, postChange, preChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Distribution.NullModelForwarder

    public Distribution.NullModelForwarder(Object source,
                                           ChangeSupport cs)

  Deprecated.
  Create a new forwarder.

  Parameters:
    `source` - the Object who events are forwarded on behalf of
    `cs` - the change support that manages the listeners

Method Detail

### generateEvent

    protected ChangeEvent generateEvent(ChangeEvent ce)

  Deprecated.
  Description copied from class: `ChangeForwarder`

  Return the new event to represent the originating event ce.

  The returned ChangeEvent is the event that will be fired, and should be built from information in the original event. If it is null, then no event will be fired.

  The default implementation just constructs a ChangeEvent of the same type that chains back to ce.

  Overrides:
    `generateEvent` in class `ChangeForwarder`
  Parameters:
    `ce` - the originating ChangeEvent
  Returns:
    a new ChangeEvent to pass on, or null if no event should be sent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD